Bug 1071287 - [abrt] vim-X11: getout(): gvim killed by SIGABRT
Summary: [abrt] vim-X11: getout(): gvim killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20759802361d21010c16153cf49...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-28 12:50 UTC by wangjiezhe
Modified: 2014-09-19 10:05 UTC (History)
3 users (show)

Fixed In Version: vim-7.4.417-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 01:54:02 UTC


Attachments (Terms of Use)
File: backtrace (88.08 KB, text/plain)
2014-02-28 12:50 UTC, wangjiezhe
no flags Details
File: cgroup (172 bytes, text/plain)
2014-02-28 12:50 UTC, wangjiezhe
no flags Details
File: core_backtrace (57.47 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: dso_list (13.12 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: environ (1.11 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: maps (72.18 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: open_fds (1.09 KB, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-02-28 12:51 UTC, wangjiezhe
no flags Details

Description wangjiezhe 2014-02-28 12:50:36 UTC
Version-Release number of selected component:
vim-X11-7.4.179-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
crash_function: getout
executable:     /usr/bin/gvim
kernel:         3.13.4-200.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 getout at main.c:1509
 #5 gui_shell_closed at gui.c:829
 #6 delete_event_cb at gui_gtk_x11.c:2568
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_event at gtkwidget.c:4814
 #14 gtk_main_do_event at gtkmain.c:1587
 #19 g_main_context_iteration at gmain.c:3774
 #20 gui_mch_wait_for_chars at gui_gtk_x11.c:5475
 #21 gui_wait_for_chars at gui.c:2906

Comment 1 wangjiezhe 2014-02-28 12:50:49 UTC
Created attachment 869035 [details]
File: backtrace

Comment 2 wangjiezhe 2014-02-28 12:50:52 UTC
Created attachment 869036 [details]
File: cgroup

Comment 3 wangjiezhe 2014-02-28 12:51:00 UTC
Created attachment 869037 [details]
File: core_backtrace

Comment 4 wangjiezhe 2014-02-28 12:51:08 UTC
Created attachment 869038 [details]
File: dso_list

Comment 5 wangjiezhe 2014-02-28 12:51:11 UTC
Created attachment 869039 [details]
File: environ

Comment 6 wangjiezhe 2014-02-28 12:51:13 UTC
Created attachment 869040 [details]
File: limits

Comment 7 wangjiezhe 2014-02-28 12:51:16 UTC
Created attachment 869041 [details]
File: maps

Comment 8 wangjiezhe 2014-02-28 12:51:19 UTC
Created attachment 869042 [details]
File: open_fds

Comment 9 wangjiezhe 2014-02-28 12:51:22 UTC
Created attachment 869043 [details]
File: proc_pid_status

Comment 10 wangjiezhe 2014-02-28 12:51:25 UTC
Created attachment 869044 [details]
File: var_log_messages

Comment 11 Fedora Update System 2014-08-13 14:58:14 UTC
vim-7.4.402-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc20

Comment 12 Fedora Update System 2014-08-13 14:58:35 UTC
vim-7.4.402-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc19

Comment 13 Fedora Update System 2014-08-16 00:28:37 UTC
Package vim-7.4.402-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.402-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9443/vim-7.4.402-1.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-08-23 01:54:02 UTC
vim-7.4.402-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-08-26 15:38:03 UTC
vim-7.4.417-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc20

Comment 16 Fedora Update System 2014-08-26 15:38:24 UTC
vim-7.4.417-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc19

Comment 17 Fedora Update System 2014-08-28 15:32:04 UTC
vim-7.4.417-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-09-19 10:05:52 UTC
vim-7.4.417-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.